Bug 139859 - Web Inspector: REGRESSION: Timeline content view doesn't show selected resource when switching from Resources or Debugger
Summary: Web Inspector: REGRESSION: Timeline content view doesn't show selected resour...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Minor
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-12-21 20:49 PST by Nikita Vasilyev
Modified: 2015-04-26 11:27 PDT (History)
7 users (show)

See Also:


Attachments
Demo (217.33 KB, image/gif)
2014-12-21 20:49 PST, Nikita Vasilyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2014-12-21 20:49:47 PST
Created attachment 243618 [details]
Demo

Works well in Safari 8.0.3 (10600.3.13) but already broken in r176637.

See attached GIF for the steps to reproduce. The expected behavior is to show the selected JS file (min.js) when switching back to the Timeline.
Comment 1 Radar WebKit Bug Importer 2014-12-21 20:50:02 PST
<rdar://problem/19322185>
Comment 2 Timothy Hatcher 2015-01-08 21:02:20 PST
This is a odd one! The navigation bar is wrong too.
Comment 3 Timothy Hatcher 2015-04-26 11:27:00 PDT
Fixed by the tab based user interface as of: http://trac.webkit.org/changeset/183342